summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2007-07-24 07:57:19 +0000
committerMike Frysinger <vapier@gentoo.org>2007-07-24 07:57:19 +0000
commitfe52ce2ceba8c2532d7bc06763fcdc407231d834 (patch)
tree72bab99665f19323a8c897c1623baa5793bd63d4 /sys-apps/coreutils
parentstable x86, bug 186078 (diff)
downloadhistorical-fe52ce2ceba8c2532d7bc06763fcdc407231d834.tar.gz
historical-fe52ce2ceba8c2532d7bc06763fcdc407231d834.tar.bz2
historical-fe52ce2ceba8c2532d7bc06763fcdc407231d834.zip
old
Diffstat (limited to 'sys-apps/coreutils')
-rw-r--r--sys-apps/coreutils/coreutils-5.94-r1.ebuild154
-rw-r--r--sys-apps/coreutils/coreutils-6.4.ebuild148
-rw-r--r--sys-apps/coreutils/coreutils-6.7-r1.ebuild153
-rw-r--r--sys-apps/coreutils/coreutils-6.7.ebuild149
-rw-r--r--sys-apps/coreutils/coreutils-6.9.ebuild152
-rw-r--r--sys-apps/coreutils/files/130_all_coreutils-gnulibs-regex-symbol-hiding.patch37
-rw-r--r--sys-apps/coreutils/files/DIR_COLORS154
-rw-r--r--sys-apps/coreutils/files/digest-coreutils-5.94-r16
-rw-r--r--sys-apps/coreutils/files/digest-coreutils-6.46
-rw-r--r--sys-apps/coreutils/files/digest-coreutils-6.76
-rw-r--r--sys-apps/coreutils/files/digest-coreutils-6.7-r16
-rw-r--r--sys-apps/coreutils/files/digest-coreutils-6.96
12 files changed, 0 insertions, 977 deletions
diff --git a/sys-apps/coreutils/coreutils-5.94-r1.ebuild b/sys-apps/coreutils/coreutils-5.94-r1.ebuild
deleted file mode 100644
index 08059fc23f19..000000000000
--- a/sys-apps/coreutils/coreutils-5.94-r1.ebuild
+++ /dev/null
@@ -1,154 +0,0 @@
-# Copyright 1999-2006 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-apps/coreutils/coreutils-5.94-r1.ebuild,v 1.14 2007/06/26 02:47:25 mr_bones_ Exp $
-
-inherit eutils flag-o-matic toolchain-funcs
-
-PATCH_VER=1.2
-DESCRIPTION="Standard GNU file utilities (chmod, cp, dd, dir, ls...), text utilities (sort, tr, head, wc..), and shell utilities (whoami, who,...)"
-HOMEPAGE="http://www.gnu.org/software/coreutils/"
-SRC_URI="mirror://gnu/${PN}/${P}.tar.bz2
- mirror://gentoo/${P}.tar.bz2
- mirror://gentoo/${P}-patches-${PATCH_VER}.tar.bz2
- http://dev.gentoo.org/~vapier/dist/${P}-patches-${PATCH_VER}.tar.bz2"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="alpha amd64 arm hppa ia64 m68k mips ppc ppc64 s390 sh sparc x86"
-IUSE="acl build nls selinux static"
-
-RDEPEND="selinux? ( sys-libs/libselinux )
- acl? ( sys-apps/acl sys-apps/attr )
- nls? ( sys-devel/gettext )
- >=sys-libs/ncurses-5.3-r5"
-DEPEND="${RDEPEND}
- =sys-devel/automake-1.9*
- >=sys-devel/autoconf-2.58
- >=sys-devel/m4-1.4-r1
- sys-apps/help2man"
-
-pkg_setup() {
- # fixup expr for #123342
- if [[ $(/bin/expr a : '\(a\)') != "a" ]] ; then
- if [[ -x /bin/busybox ]] ; then
- ln -sf /bin/busybox /bin/expr
- else
- eerror "Your expr binary appears to be broken, please fix it."
- eerror "For more info, see http://bugs.gentoo.org/123342"
- die "your expr is broke"
- fi
- fi
-}
-
-src_unpack() {
- unpack ${A}
- cd "${S}"
-
- PATCHDIR="${WORKDIR}/patch"
-
- EPATCH_MULTI_MSG="Applying patches from Mandrake ..." \
- EPATCH_SUFFIX="patch" epatch "${PATCHDIR}"/mandrake
-
- # Apply the ACL/SELINUX patches.
- if use selinux ; then
- EPATCH_MULTI_MSG="Applying SELINUX patches ..." \
- EPATCH_SUFFIX="patch" epatch "${PATCHDIR}"/selinux
- ( cd "${PATCHDIR}" ; epatch selinux/GLUE* ) || die "glue failed"
- elif use acl ; then
- EPATCH_MULTI_MSG="Applying ACL patches ..." \
- EPATCH_SUFFIX="patch" epatch "${PATCHDIR}"/acl
- fi
-
- epatch "${FILESDIR}"/130_all_coreutils-gnulibs-regex-symbol-hiding.patch #131674
-
- EPATCH_SUFFIX="patch" epatch "${PATCHDIR}"/generic
- chmod a+rx tests/sort/sort-mb-tests
-
- # Since we've patched many .c files, the make process will
- # try to re-build the manpages by running `./bin --help`.
- # When cross-compiling, we can't do that since 'bin' isn't
- # a native binary, so let's just install outdated man-pages.
- tc-is-cross-compiler && touch man/*.1
- # There's no reason for this crap to use the private version
- sed -i 's:__mempcpy:mempcpy:g' lib/*.c
-
- export WANT_AUTOMAKE=1.9
- export WANT_AUTOCONF=2.5
- ebegin "Reconfiguring configure scripts (be patient)"
- aclocal -I m4 || die "aclocal"
- autoconf || die "autoconf"
- automake || die "automake"
- eend $?
-}
-
-src_compile() {
- if ! type -p cvs > /dev/null ; then
- # Fix issues with gettext's autopoint if cvs is not installed,
- # bug #28920.
- export AUTOPOINT="/bin/true"
- fi
-
- local myconf=""
- [[ ${USERLAND} == "GNU" ]] \
- && myconf="${myconf} --bindir=/bin" \
- || myconf="${myconf} --program-prefix=g"
-
- use static && append-ldflags -static
- econf \
- --enable-largefile \
- $(use_enable nls) \
- $(use_enable selinux) \
- ${myconf} \
- || die "econf"
- emake || die "emake"
-}
-
-src_test() {
- # Non-root tests will fail if the full path isnt
- # accessible to non-root users
- chmod -R go-w "${WORKDIR}"
- chmod a+rx "${WORKDIR}"
- addwrite /dev/full
- export RUN_EXPENSIVE_TESTS="yes"
- #export FETISH_GROUPS="portage wheel"
- make check || die "make check failed"
-}
-
-src_install() {
- make install DESTDIR="${D}" || die
- rm -f "${D}"/usr/lib/charset.alias
-
- # remove files provided by other packages
- rm "${D}"/bin/{kill,uptime} # procps
- rm "${D}"/bin/{groups,su} # shadow
- rm "${D}"/bin/hostname # net-tools
- rm "${D}"/usr/share/man/man1/{groups,kill,hostname,su,uptime}.1
- # provide by the man-pages package
- rm "${D}"/usr/share/man/man1/{chgrp,chmod,chown,cp,dd,df,dir,dircolors}.1
- rm "${D}"/usr/share/man/man1/{du,install,ln,ls,mkdir,mkfifo,mknod,mv}.1
- rm "${D}"/usr/share/man/man1/{rm,rmdir,touch,vdir}.1
-
- insinto /etc
- newins src/dircolors.hin DIR_COLORS
-
- if [[ ${USERLAND} == "GNU" ]] ; then
- # move non-critical packages into /usr
- cd "${D}"
- dodir /usr/bin
- mv bin/{csplit,expand,factor,fmt,fold,join,md5sum,nl,od} usr/bin
- mv bin/{paste,pathchk,pinky,pr,printf,sha1sum,shred,sum,tac} usr/bin
- mv bin/{tail,test,[,tsort,unexpand,users} usr/bin
- cd bin
- local x
- for x in * ; do
- dosym /bin/${x} /usr/bin/${x}
- done
- fi
-
- if ! use build ; then
- cd "${S}"
- dodoc AUTHORS ChangeLog* NEWS README* THANKS TODO
- else
- rm -r "${D}"/usr/share
- fi
-}
diff --git a/sys-apps/coreutils/coreutils-6.4.ebuild b/sys-apps/coreutils/coreutils-6.4.ebuild
deleted file mode 100644
index e63fbdac21ac..000000000000
--- a/sys-apps/coreutils/coreutils-6.4.ebuild
+++ /dev/null
@@ -1,148 +0,0 @@
-# Copyright 1999-2007 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-apps/coreutils/coreutils-6.4.ebuild,v 1.11 2007/07/02 15:27:55 peper Exp $
-
-WANT_AUTOCONF="latest"
-WANT_AUTOMAKE="latest"
-inherit eutils flag-o-matic toolchain-funcs autotools
-
-PATCH_VER="1.0"
-DESCRIPTION="Standard GNU file utilities (chmod, cp, dd, dir, ls...), text utilities (sort, tr, head, wc..), and shell utilities (whoami, who,...)"
-HOMEPAGE="http://www.gnu.org/software/coreutils/"
-SRC_URI="ftp://alpha.gnu.org/gnu/coreutils/${P}.tar.bz2
- mirror://gnu/${PN}/${P}.tar.bz2
- mirror://gentoo/${P}.tar.bz2
- mirror://gentoo/${P}-patches-${PATCH_VER}.tar.bz2
- http://dev.gentoo.org/~vapier/dist/${P}-patches-${PATCH_VER}.tar.bz2"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="alpha amd64 arm hppa ia64 m68k mips ppc ppc64 s390 sh sparc x86"
-IUSE="acl nls selinux static"
-
-RDEPEND="selinux? ( sys-libs/libselinux )
- acl? ( sys-apps/acl sys-apps/attr )
- nls? ( >=sys-devel/gettext-0.15 )
- !net-mail/base64
- >=sys-libs/ncurses-5.3-r5"
-DEPEND="${RDEPEND}
- =sys-devel/automake-1.9*
- >=sys-devel/autoconf-2.59d
- >=sys-devel/m4-1.4-r1
- sys-apps/help2man"
-
-pkg_setup() {
- # fixup expr for #123342
- if [[ $(/bin/expr a : '\(a\)') != "a" ]] ; then
- if [[ -x /bin/busybox ]] ; then
- ln -sf /bin/busybox /bin/expr
- else
- eerror "Your expr binary appears to be broken, please fix it."
- eerror "For more info, see http://bugs.gentoo.org/123342"
- die "your expr is broke"
- fi
- fi
-}
-
-src_unpack() {
- unpack ${A}
- cd "${S}"
-
- PATCHDIR="${WORKDIR}/patch"
- rm -f "${PATCHDIR}"/generic/001_*progress*
-
- # Apply the ACL/SELINUX patches.
- if use selinux ; then
- EPATCH_MULTI_MSG="Applying SELINUX patches ..." \
- EPATCH_SUFFIX="patch" epatch "${PATCHDIR}"/selinux
- ( cd "${PATCHDIR}" ; epatch selinux/GLUE* ) || die "glue failed"
- elif use acl ; then
- EPATCH_MULTI_MSG="Applying ACL patches ..." \
- EPATCH_SUFFIX="patch" epatch "${PATCHDIR}"/acl
- fi
-
- EPATCH_SUFFIX="patch" epatch "${PATCHDIR}"/generic
- chmod a+rx tests/sort/sort-mb-tests
-
- # Since we've patched many .c files, the make process will
- # try to re-build the manpages by running `./bin --help`.
- # When cross-compiling, we can't do that since 'bin' isn't
- # a native binary, so let's just install outdated man-pages.
- tc-is-cross-compiler && touch man/*.1
- # There's no reason for this crap to use the private version
- sed -i 's:__mempcpy:mempcpy:g' lib/*.c
-
- AT_M4DIR="m4" eautoreconf
-}
-
-src_compile() {
- if ! type -p cvs > /dev/null ; then
- # Fix issues with gettext's autopoint if cvs is not installed,
- # bug #28920.
- export AUTOPOINT="/bin/true"
- fi
-
- local myconf=""
- [[ ${USERLAND} == "GNU" ]] \
- && myconf="${myconf} --bindir=/bin" \
- || myconf="${myconf} --bindir=/usr/libexec/gnu"
-
- [[ ${ELIBC} == "glibc" || ${ELIBC} == "uclibc" ]] \
- && myconf="${myconf} --without-included-regex"
-
- use static && append-ldflags -static
- econf \
- --enable-largefile \
- $(use_enable nls) \
- $(use_enable selinux) \
- ${myconf} \
- || die "econf"
- emake || die "emake"
-}
-
-src_test() {
- # Non-root tests will fail if the full path isnt
- # accessible to non-root users
- chmod -R go-w "${WORKDIR}"
- chmod a+rx "${WORKDIR}"
- addwrite /dev/full
- export RUN_EXPENSIVE_TESTS="yes"
- #export FETISH_GROUPS="portage wheel"
- make check || die "make check failed"
-}
-
-src_install() {
- make install DESTDIR="${D}" || die
- rm -f "${D}"/usr/lib/charset.alias
- dodoc AUTHORS ChangeLog* NEWS README* THANKS TODO
-
- # remove files provided by other packages
- rm "${D}"/bin/{kill,uptime} # procps
- rm "${D}"/bin/{groups,su} # shadow
- rm "${D}"/bin/hostname # net-tools
- rm "${D}"/usr/share/man/man1/{groups,kill,hostname,su,uptime}.1
- # provide by the man-pages package
- rm "${D}"/usr/share/man/man1/{chgrp,chmod,chown,cp,dd,df,dir,dircolors}.1
- rm "${D}"/usr/share/man/man1/{du,install,ln,ls,mkdir,mkfifo,mknod,mv}.1
- rm "${D}"/usr/share/man/man1/{rm,rmdir,touch,vdir}.1
-
- insinto /etc
- newins src/dircolors.hin DIR_COLORS
-
- if [[ ${USERLAND} == "GNU" ]] ; then
- # move non-critical packages into /usr
- cd "${D}"
- dodir /usr/bin
- mv bin/{csplit,expand,factor,fmt,fold,join,md5sum,nl,od} usr/bin
- mv bin/{paste,pathchk,pinky,pr,printf,sha1sum,shred,sum,tac} usr/bin
- mv bin/{tail,test,[,tsort,unexpand,users} usr/bin
- cd bin
- local x
- for x in * ; do
- dosym /bin/${x} /usr/bin/${x}
- done
- else
- # For now, drop the man pages, collides with the ones of the system.
- rm -rf "${D}"/usr/share/man
- fi
-}
diff --git a/sys-apps/coreutils/coreutils-6.7-r1.ebuild b/sys-apps/coreutils/coreutils-6.7-r1.ebuild
deleted file mode 100644
index c9f9c398c466..000000000000
--- a/sys-apps/coreutils/coreutils-6.7-r1.ebuild
+++ /dev/null
@@ -1,153 +0,0 @@
-# Copyright 1999-2007 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-apps/coreutils/coreutils-6.7-r1.ebuild,v 1.17 2007/07/02 15:27:55 peper Exp $
-
-inherit eutils flag-o-matic toolchain-funcs autotools
-
-PATCH_VER="1.1"
-DESCRIPTION="Standard GNU file utilities (chmod, cp, dd, dir, ls...), text utilities (sort, tr, head, wc..), and shell utilities (whoami, who,...)"
-HOMEPAGE="http://www.gnu.org/software/coreutils/"
-SRC_URI="ftp://alpha.gnu.org/gnu/coreutils/${P}.tar.bz2
- mirror://gnu/${PN}/${P}.tar.bz2
- mirror://gentoo/${P}.tar.bz2
- mirror://gentoo/${P}-patches-${PATCH_VER}.tar.bz2
- http://dev.gentoo.org/~vapier/dist/${P}-patches-${PATCH_VER}.tar.bz2"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="alpha amd64 arm hppa ia64 m68k mips ppc ppc64 s390 sh sparc x86"
-IUSE="acl nls selinux static xattr"
-
-RDEPEND="selinux? ( sys-libs/libselinux )
- acl? ( sys-apps/acl sys-apps/attr )
- nls? ( >=sys-devel/gettext-0.15 )
- !net-mail/base64
- >=sys-libs/ncurses-5.3-r5"
-DEPEND="${RDEPEND}
- =sys-devel/automake-1.9*
- >=sys-devel/autoconf-2.59d
- >=sys-devel/m4-1.4-r1
- sys-apps/help2man"
-
-pkg_setup() {
- # fixup expr for #123342
- if [[ $(/bin/expr a : '\(a\)') != "a" ]] ; then
- if [[ -x /bin/busybox ]] ; then
- ln -sf /bin/busybox /bin/expr
- else
- eerror "Your expr binary appears to be broken, please fix it."
- eerror "For more info, see http://bugs.gentoo.org/123342"
- die "your expr is broke"
- fi
- fi
-}
-
-src_unpack() {
- unpack ${A}
- cd "${S}"
-
- PATCHDIR="${WORKDIR}/patch"
- rm -f "${PATCHDIR}"/generic/001_*progress*
-
- # Apply the ACL/SELINUX patches.
- if use selinux ; then
- EPATCH_MULTI_MSG="Applying SELINUX patches ..." \
- EPATCH_SUFFIX="patch" epatch "${PATCHDIR}"/selinux
- ( cd "${PATCHDIR}" ; epatch selinux/GLUE* ) || die "glue failed"
- else
- EPATCH_MULTI_MSG="Applying ACL patches ..." \
- EPATCH_SUFFIX="patch" epatch "${PATCHDIR}"/acl
- fi
-
- EPATCH_SUFFIX="patch" epatch "${PATCHDIR}"/generic
- chmod a+rx tests/sort/sort-mb-tests
-
- # Since we've patched many .c files, the make process will
- # try to re-build the manpages by running `./bin --help`.
- # When cross-compiling, we can't do that since 'bin' isn't
- # a native binary, so let's just install outdated man-pages.
- tc-is-cross-compiler && touch man/*.1
- # There's no reason for this crap to use the private version
- sed -i 's:__mempcpy:mempcpy:g' lib/*.c
-
- AT_M4DIR="m4" eautoreconf
-}
-
-src_compile() {
- if ! type -p cvs > /dev/null ; then
- # Fix issues with gettext's autopoint if cvs is not installed,
- # bug #28920.
- export AUTOPOINT="/bin/true"
- fi
-
- local myconf=""
- [[ ${USERLAND} == "GNU" ]] || myconf="${myconf} --bindir=/usr/libexec/gnu"
- if echo "#include <regex.h>" | $(tc-getCPP) > /dev/null ; then
- myconf="${myconf} --without-included-regex"
- fi
-
- use static && append-ldflags -static
- econf \
- --enable-largefile \
- $(use_enable nls) \
- $(use_enable acl) \
- $(use_enable xattr) \
- $(use_enable selinux) \
- ${myconf} \
- || die "econf"
- emake || die "emake"
-}
-
-src_test() {
- # Non-root tests will fail if the full path isnt
- # accessible to non-root users
- chmod -R go-w "${WORKDIR}"
- chmod a+rx "${WORKDIR}"
- addwrite /dev/full
- export RUN_EXPENSIVE_TESTS="yes"
- #export FETISH_GROUPS="portage wheel"
- make check || die "make check failed"
-}
-
-src_install() {
- emake install DESTDIR="${D}" || die
- rm -f "${D}"/usr/lib/charset.alias
- dodoc AUTHORS ChangeLog* NEWS README* THANKS TODO
-
- # remove files provided by other packages
- rm "${D}"/usr/bin/{kill,uptime} # procps
- rm "${D}"/usr/bin/{groups,su} # shadow
- rm "${D}"/usr/bin/hostname # net-tools
- rm "${D}"/usr/share/man/man1/{groups,kill,hostname,su,uptime}.1
- # provide by the man-pages package
- rm "${D}"/usr/share/man/man1/{chgrp,chmod,chown,cp,dd,df,dir,dircolors}.1
- rm "${D}"/usr/share/man/man1/{du,install,ln,ls,mkdir,mkfifo,mknod,mv}.1
- rm "${D}"/usr/share/man/man1/{rm,rmdir,touch,vdir}.1
-
- insinto /etc
- newins src/dircolors.hin DIR_COLORS
-
- if [[ ${USERLAND} == "GNU" ]] ; then
- cd "${D}"/usr/bin
- dodir /bin
- # move critical binaries into /bin (required by FHS)
- local fhs="cat chgrp chmod chown cp date dd df echo false ln ls
- mkdir mknod mv pwd rm rmdir stty sync true uname"
- mv ${fhs} ../../bin/ || die "could not move fhs bins"
- # move critical binaries into /bin (common scripts)
- local com="basename chroot cut dir dirname du env expr head mkfifo
- readlink seq sleep sort tail touch tr tty vdir wc yes"
- mv ${com} ../../bin/ || die "could not move common bins"
- local x
- for x in ${com} ; do
- dosym /bin/${x} /usr/bin/${x} || die
- done
- else
- # For now, drop the man pages, collides with the ones of the system.
- rm -rf "${D}"/usr/share/man
- fi
-}
-
-pkg_postinst() {
- ewarn "Make sure you run 'hash -r' in your active shells."
-}
diff --git a/sys-apps/coreutils/coreutils-6.7.ebuild b/sys-apps/coreutils/coreutils-6.7.ebuild
deleted file mode 100644
index 236b47fde582..000000000000
--- a/sys-apps/coreutils/coreutils-6.7.ebuild
+++ /dev/null
@@ -1,149 +0,0 @@
-# Copyright 1999-2007 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-apps/coreutils/coreutils-6.7.ebuild,v 1.2 2007/07/02 15:27:55 peper Exp $
-
-WANT_AUTOCONF="latest"
-WANT_AUTOMAKE="latest"
-inherit eutils flag-o-matic toolchain-funcs autotools
-
-PATCH_VER="1.0"
-DESCRIPTION="Standard GNU file utilities (chmod, cp, dd, dir, ls...), text utilities (sort, tr, head, wc..), and shell utilities (whoami, who,...)"
-HOMEPAGE="http://www.gnu.org/software/coreutils/"
-SRC_URI="ftp://alpha.gnu.org/gnu/coreutils/${P}.tar.bz2
- mirror://gnu/${PN}/${P}.tar.bz2
- mirror://gentoo/${P}.tar.bz2
- mirror://gentoo/${P}-patches-${PATCH_VER}.tar.bz2
- http://dev.gentoo.org/~vapier/dist/${P}-patches-${PATCH_VER}.tar.bz2"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
-IUSE="acl nls selinux static"
-
-RDEPEND="selinux? ( sys-libs/libselinux )
- acl? ( sys-apps/acl sys-apps/attr )
- nls? ( >=sys-devel/gettext-0.15 )
- !net-mail/base64
- >=sys-libs/ncurses-5.3-r5"
-DEPEND="${RDEPEND}
- =sys-devel/automake-1.9*
- >=sys-devel/autoconf-2.59d
- >=sys-devel/m4-1.4-r1
- sys-apps/help2man"
-
-pkg_setup() {
- # fixup expr for #123342
- if [[ $(/bin/expr a : '\(a\)') != "a" ]] ; then
- if [[ -x /bin/busybox ]] ; then
- ln -sf /bin/busybox /bin/expr
- else
- eerror "Your expr binary appears to be broken, please fix it."
- eerror "For more info, see http://bugs.gentoo.org/123342"
- die "your expr is broke"
- fi
- fi
-}
-
-src_unpack() {
- unpack ${A}
- cd "${S}"
-
- PATCHDIR="${WORKDIR}/patch"
- rm -f "${PATCHDIR}"/generic/001_*progress*
-
- # Apply the ACL/SELINUX patches.
- if use selinux ; then
- EPATCH_MULTI_MSG="Applying SELINUX patches ..." \
- EPATCH_SUFFIX="patch" epatch "${PATCHDIR}"/selinux
- ( cd "${PATCHDIR}" ; epatch selinux/GLUE* ) || die "glue failed"
- else
- EPATCH_MULTI_MSG="Applying ACL patches ..." \
- EPATCH_SUFFIX="patch" epatch "${PATCHDIR}"/acl
- fi
-
- EPATCH_SUFFIX="patch" epatch "${PATCHDIR}"/generic
- chmod a+rx tests/sort/sort-mb-tests
-
- # Since we've patched many .c files, the make process will
- # try to re-build the manpages by running `./bin --help`.
- # When cross-compiling, we can't do that since 'bin' isn't
- # a native binary, so let's just install outdated man-pages.
- tc-is-cross-compiler && touch man/*.1
- # There's no reason for this crap to use the private version
- sed -i 's:__mempcpy:mempcpy:g' lib/*.c
-
- AT_M4DIR="m4" eautoreconf
-}
-
-src_compile() {
- if ! type -p cvs > /dev/null ; then
- # Fix issues with gettext's autopoint if cvs is not installed,
- # bug #28920.
- export AUTOPOINT="/bin/true"
- fi
-
- local myconf=""
- [[ ${USERLAND} == "GNU" ]] \
- && myconf="${myconf} --bindir=/bin" \
- || myconf="${myconf} --bindir=/usr/libexec/gnu"
-
- [[ ${ELIBC} == "glibc" || ${ELIBC} == "uclibc" ]] \
- && myconf="${myconf} --without-included-regex"
-
- use static && append-ldflags -static
- econf \
- --enable-largefile \
- $(use_enable nls) \
- $(use_enable acl) \
- $(use_enable selinux) \
- ${myconf} \
- || die "econf"
- emake || die "emake"
-}
-
-src_test() {
- # Non-root tests will fail if the full path isnt
- # accessible to non-root users
- chmod -R go-w "${WORKDIR}"
- chmod a+rx "${WORKDIR}"
- addwrite /dev/full
- export RUN_EXPENSIVE_TESTS="yes"
- #export FETISH_GROUPS="portage wheel"
- make check || die "make check failed"
-}
-
-src_install() {
- make install DESTDIR="${D}" || die
- rm -f "${D}"/usr/lib/charset.alias
- dodoc AUTHORS ChangeLog* NEWS README* THANKS TODO
-
- # remove files provided by other packages
- rm "${D}"/bin/{kill,uptime} # procps
- rm "${D}"/bin/{groups,su} # shadow
- rm "${D}"/bin/hostname # net-tools
- rm "${D}"/usr/share/man/man1/{groups,kill,hostname,su,uptime}.1
- # provide by the man-pages package
- rm "${D}"/usr/share/man/man1/{chgrp,chmod,chown,cp,dd,df,dir,dircolors}.1
- rm "${D}"/usr/share/man/man1/{du,install,ln,ls,mkdir,mkfifo,mknod,mv}.1
- rm "${D}"/usr/share/man/man1/{rm,rmdir,touch,vdir}.1
-
- insinto /etc
- newins src/dircolors.hin DIR_COLORS
-
- if [[ ${USERLAND} == "GNU" ]] ; then
- # move non-critical packages into /usr
- cd "${D}"
- dodir /usr/bin
- mv bin/{csplit,expand,factor,fmt,fold,join,md5sum,nl,od} usr/bin
- mv bin/{paste,pathchk,pinky,pr,printf,sha1sum,shred,sum,tac} usr/bin
- mv bin/{tail,test,[,tsort,unexpand,users} usr/bin
- cd bin
- local x
- for x in * ; do
- dosym /bin/${x} /usr/bin/${x}
- done
- else
- # For now, drop the man pages, collides with the ones of the system.
- rm -rf "${D}"/usr/share/man
- fi
-}
diff --git a/sys-apps/coreutils/coreutils-6.9.ebuild b/sys-apps/coreutils/coreutils-6.9.ebuild
deleted file mode 100644
index 08566ff3c836..000000000000
--- a/sys-apps/coreutils/coreutils-6.9.ebuild
+++ /dev/null
@@ -1,152 +0,0 @@
-# Copyright 1999-2007 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-apps/coreutils/coreutils-6.9.ebuild,v 1.5 2007/07/02 15:27:55 peper Exp $
-
-inherit eutils flag-o-matic toolchain-funcs autotools
-
-PATCH_VER="1.1"
-DESCRIPTION="Standard GNU file utilities (chmod, cp, dd, dir, ls...), text utilities (sort, tr, head, wc..), and shell utilities (whoami, who,...)"
-HOMEPAGE="http://www.gnu.org/software/coreutils/"
-SRC_URI="ftp://alpha.gnu.org/gnu/coreutils/${P}.tar.bz2
- mirror://gnu/${PN}/${P}.tar.bz2
- mirror://gentoo/${P}.tar.bz2
- mirror://gentoo/${P}-patches-${PATCH_VER}.tar.bz2
- http://dev.gentoo.org/~vapier/dist/${P}-patches-${PATCH_VER}.tar.bz2"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
-IUSE="acl nls selinux static xattr"
-
-RDEPEND="selinux? ( sys-libs/libselinux )
- acl? ( sys-apps/acl sys-apps/attr )
- nls? ( >=sys-devel/gettext-0.15 )
- !net-mail/base64
- >=sys-libs/ncurses-5.3-r5"
-DEPEND="${RDEPEND}
- =sys-devel/automake-1.9*
- >=sys-devel/autoconf-2.61
- >=sys-devel/m4-1.4-r1
- sys-apps/help2man"
-
-pkg_setup() {
- # fixup expr for #123342
- if [[ $(/bin/expr a : '\(a\)') != "a" ]] ; then
- if [[ -x /bin/busybox ]] ; then
- ln -sf /bin/busybox /bin/expr
- else
- eerror "Your expr binary appears to be broken, please fix it."
- eerror "For more info, see http://bugs.gentoo.org/123342"
- die "your expr is broke"
- fi
- fi
-}
-
-src_unpack() {
- unpack ${A}
- cd "${S}"
-
- PATCHDIR="${WORKDIR}/patch"
- rm -f "${PATCHDIR}"/generic/001_*progress*
-
- # Apply the ACL/SELINUX patches.
- if use selinux ; then
- EPATCH_MULTI_MSG="Applying SELINUX patches ..." \
- EPATCH_SUFFIX="patch" epatch "${PATCHDIR}"/selinux
- else
- EPATCH_MULTI_MSG="Applying ACL patches ..." \
- EPATCH_SUFFIX="patch" epatch "${PATCHDIR}"/acl
- fi
-
- EPATCH_SUFFIX="patch" epatch "${PATCHDIR}"/generic
- chmod a+rx tests/sort/sort-mb-tests
-
- # Since we've patched many .c files, the make process will
- # try to re-build the manpages by running `./bin --help`.
- # When cross-compiling, we can't do that since 'bin' isn't
- # a native binary, so let's just install outdated man-pages.
- tc-is-cross-compiler && touch man/*.1
- # There's no reason for this crap to use the private version
- sed -i 's:__mempcpy:mempcpy:g' lib/*.c
-
- AT_M4DIR="m4" eautoreconf
-}
-
-src_compile() {
- if ! type -p cvs > /dev/null ; then
- # Fix issues with gettext's autopoint if cvs is not installed,
- # bug #28920.
- export AUTOPOINT="/bin/true"
- fi
-
- local myconf=""
- [[ ${USERLAND} == "GNU" ]] || myconf="${myconf} --bindir=/usr/libexec/gnu"
- if echo "#include <regex.h>" | $(tc-getCPP) > /dev/null ; then
- myconf="${myconf} --without-included-regex"
- fi
-
- use static && append-ldflags -static
- econf \
- --enable-largefile \
- $(use_enable nls) \
- $(use_enable acl) \
- $(use_enable xattr) \
- $(use_enable selinux) \
- ${myconf} \
- || die "econf"
- emake || die "emake"
-}
-
-src_test() {
- # Non-root tests will fail if the full path isnt
- # accessible to non-root users
- chmod -R go-w "${WORKDIR}"
- chmod a+rx "${WORKDIR}"
- addwrite /dev/full
- export RUN_EXPENSIVE_TESTS="yes"
- #export FETISH_GROUPS="portage wheel"
- make check || die "make check failed"
-}
-
-src_install() {
- emake install DESTDIR="${D}" || die
- rm -f "${D}"/usr/lib/charset.alias
- dodoc AUTHORS ChangeLog* NEWS README* THANKS TODO
-
- # remove files provided by other packages
- rm "${D}"/usr/bin/{kill,uptime} # procps
- rm "${D}"/usr/bin/{groups,su} # shadow
- rm "${D}"/usr/bin/hostname # net-tools
- rm "${D}"/usr/share/man/man1/{groups,kill,hostname,su,uptime}.1
- # provide by the man-pages package
- rm "${D}"/usr/share/man/man1/{chgrp,chmod,chown,cp,dd,df,dir,dircolors}.1
- rm "${D}"/usr/share/man/man1/{du,install,ln,ls,mkdir,mkfifo,mknod,mv}.1
- rm "${D}"/usr/share/man/man1/{rm,rmdir,touch,vdir}.1
-
- insinto /etc
- newins src/dircolors.hin DIR_COLORS
-
- if [[ ${USERLAND} == "GNU" ]] ; then
- cd "${D}"/usr/bin
- dodir /bin
- # move critical binaries into /bin (required by FHS)
- local fhs="cat chgrp chmod chown cp date dd df echo false ln ls
- mkdir mknod mv pwd rm rmdir stty sync true uname"
- mv ${fhs} ../../bin/ || die "could not move fhs bins"
- # move critical binaries into /bin (common scripts)
- local com="basename chroot cut dir dirname du env expr head mkfifo
- readlink seq sleep sort tail touch tr tty vdir wc yes"
- mv ${com} ../../bin/ || die "could not move common bins"
- local x
- for x in ${com} ; do
- dosym /bin/${x} /usr/bin/${x} || die
- done
- else
- # For now, drop the man pages, collides with the ones of the system.
- rm -rf "${D}"/usr/share/man
- fi
-}
-
-pkg_postinst() {
- ewarn "Make sure you run 'hash -r' in your active shells."
-}
diff --git a/sys-apps/coreutils/files/130_all_coreutils-gnulibs-regex-symbol-hiding.patch b/sys-apps/coreutils/files/130_all_coreutils-gnulibs-regex-symbol-hiding.patch
deleted file mode 100644
index cc90c6d1f1cb..000000000000
--- a/sys-apps/coreutils/files/130_all_coreutils-gnulibs-regex-symbol-hiding.patch
+++ /dev/null
@@ -1,37 +0,0 @@
-Backport from current gnulib/coreutils cvs to hide some symbols that otherwise
-can cause build failures when linking statically.
-
-http://bugs.gentoo.org/131674
-
---- lib/regex_internal.h
-+++ lib/regex_internal.h
-@@ -122,9 +122,6 @@
- # define __attribute(arg)
- #endif
-
--extern const char __re_error_msgid[] attribute_hidden;
--extern const size_t __re_error_msgid_idx[] attribute_hidden;
--
- typedef __re_idx_t Idx;
-
- /* Special return value for failure to match. */
---- lib/regcomp.c
-+++ lib/regcomp.c
-@@ -125,7 +125,7 @@
- POSIX doesn't require that we do anything for REG_NOERROR,
- but why not be nice? */
-
--const char __re_error_msgid[] attribute_hidden =
-+static const char __re_error_msgid[] =
- {
- #define REG_NOERROR_IDX 0
- gettext_noop ("Success") /* REG_NOERROR */
-@@ -179,7 +179,7 @@
- gettext_noop ("Unmatched ) or \\)") /* REG_ERPAREN */
- };
-
--const size_t __re_error_msgid_idx[] attribute_hidden =
-+static const size_t __re_error_msgid_idx[] =
- {
- REG_NOERROR_IDX,
- REG_NOMATCH_IDX,
diff --git a/sys-apps/coreutils/files/DIR_COLORS b/sys-apps/coreutils/files/DIR_COLORS
deleted file mode 100644
index c567dd39c0d5..000000000000
--- a/sys-apps/coreutils/files/DIR_COLORS
+++ /dev/null
@@ -1,154 +0,0 @@
-# Configuration file for dircolors, a utility to help you set the
-# LS_COLORS environment variable used by GNU ls with the --color option.
-#
-# You can copy this file to .dir_colors in your $HOME directory to override
-# the system defaults.
-
-# Below, there should be one TERM entry for each termtype that is colorizable
-TERM ansi
-TERM color-xterm
-TERM con132x25
-TERM con132x30
-TERM con132x43
-TERM con132x60
-TERM con80x25
-TERM con80x28
-TERM con80x30
-TERM con80x43
-TERM con80x50
-TERM con80x60
-TERM cons25
-TERM console
-TERM cygwin
-TERM dtterm
-TERM Eterm
-TERM gnome
-TERM konsole
-TERM kterm
-TERM linux
-TERM linux-c
-TERM mach-color
-TERM putty
-TERM rxvt
-TERM rxvt-cygwin
-TERM rxvt-cygwin-native
-TERM rxvt-unicode
-TERM screen
-TERM screen-bce
-TERM screen-w
-TERM screen.linux
-TERM vt100
-TERM xterm
-TERM xterm-256color
-TERM xterm-color
-TERM xterm-debian
-
-# Below are the color init strings for the basic file types. A color init
-# string consists of one or more of the following numeric codes:
-# Attribute codes:
-# 00=none 01=bold 04=underscore 05=blink 07=reverse 08=concealed
-# Text color codes:
-# 30=black 31=red 32=green 33=yellow 34=blue 35=magenta 36=cyan 37=white
-# Background color codes:
-# 40=black 41=red 42=green 43=yellow 44=blue 45=magenta 46=cyan 47=white
-NORMAL 00 # global default, although everything should be something.
-FILE 00 # normal file
-DIR 01;34 # directory
-LINK 01;36 # symbolic link. (If you set this to 'target' instead of a
- # numerical value, the color will match the file pointed to)
-FIFO 40;33 # pipe
-SOCK 01;35 # socket
-DOOR 01;35 # door
-BLK 40;33;01 # block device driver
-CHR 40;33;01 # character device driver
-ORPHAN 01;05;37;41 # orphaned syminks
-MISSING 01;05;37;41 # ... and the files they point to
-
-# This is for files with execute permission:
-EXEC 01;32
-
-# List any file extensions like '.gz' or '.tar' that you would like ls
-# to colorize below. Put the extension, a space, and the color init string.
-# (and any comments you want to add after a '#')
-
-.cmd 01;32 # executables (bright green)
-.exe 01;32
-.com 01;32
-.btm 01;32
-.bat 01;32
-.sh 01;32
-.csh 01;32
-
-.tar 01;31 # archives / compressed (bright red)
-.tgz 01;31
-.arj 01;31
-.taz 01;31
-.lzh 01;31
-.zip 01;31
-.z 01;31
-.Z 01;31
-.gz 01;31
-.bz2 01;31
-.bz 01;31
-.tbz2 01;31
-.tz 01;31
-.deb 01;31
-.rpm 01;31
-.rar 01;31 # app-arch/rar
-.ace 01;31 # app-arch/unace
-.zoo 01;31 # app-arch/zoo
-.cpio 01;31 # app-arch/cpio
-.7z 01;31 # app-arch/p7zip
-.rz 01;31 # app-arch/rzip
-
-.jpg 01;35 # image formats
-.jpeg 01;35
-.gif 01;35
-.bmp 01;35
-.ppm 01;35
-.tga 01;35
-.xbm 01;35
-.xpm 01;35
-.tif 01;35
-.tiff 01;35
-.png 01;35
-.mng 01;35
-.xcf 01;35
-.pcx 01;35
-.mpg 01;35
-.mpeg 01;35
-.m2v 01;35 # MPEG-2 Video only
-.avi 01;35
-.mkv 01;35 # Matroska (http://matroska.org/)
-.ogm 01;35 # Ogg Media File
-.mp4 01;35 # "Offical" container for MPEG-4
-.m4v 01;35 # MPEG-4 Video only
-.mp4v 01;35 # MPEG-4 Video only
-.mov 01;35 # Quicktime (http://developer.apple.com/qa/qtw/qtw99.html)
-.qt 01;35 # Quicktime (http://developer.apple.com/qa/qtw/qtw99.html)
-.wmv 01;35 # Windows Media Video
-.asf 01;35 # Advanced Systems Format (contains Windows Media Video)
-.rm 01;35 # Real Media
-.rmvb 01;35 # Real Media Variable Bitrate
-.flc 01;35 # AutoDesk Animator
-.fli 01;35 # AutoDesk Animator
-.gl 01;35
-.dl 01;35
-
-.pdf 00;32 # Document files
-.ps 00;32
-.txt 00;32
-.patch 00;32
-.diff 00;32
-.log 00;32
-.tex 00;32
-.doc 00;32
-
-.mp3 00;36 # Audio files
-.wav 00;36
-.mid 00;36
-.midi 00;36
-.au 00;36
-.ogg 00;36
-.flac 00;36
-.aac 00;36
diff --git a/sys-apps/coreutils/files/digest-coreutils-5.94-r1 b/sys-apps/coreutils/files/digest-coreutils-5.94-r1
deleted file mode 100644
index fd061bfe04f1..000000000000
--- a/sys-apps/coreutils/files/digest-coreutils-5.94-r1
+++ /dev/null
@@ -1,6 +0,0 @@
-MD5 0e2052a50858f4649ca33a83aea49344 coreutils-5.94-patches-1.2.tar.bz2 61330
-RMD160 34b3f0e5ed804343a8b7d86efc4571587b4f1341 coreutils-5.94-patches-1.2.tar.bz2 61330
-SHA256 f66a153d63785da026bd294aa5ee1a61bddb367d47e39655cfd43fb7d40b54c7 coreutils-5.94-patches-1.2.tar.bz2 61330
-MD5 11985c8345371546da8ff13f7efae359 coreutils-5.94.tar.bz2 5047523
-RMD160 c3620710beea1b8d604210bdec8fbe0a3da892ab coreutils-5.94.tar.bz2 5047523
-SHA256 5942f8ba08e0e2faf425d2c0dc62688b1253166c51b170ca1580db5a0b984d5c coreutils-5.94.tar.bz2 5047523
diff --git a/sys-apps/coreutils/files/digest-coreutils-6.4 b/sys-apps/coreutils/files/digest-coreutils-6.4
deleted file mode 100644
index 44f1c8a41a57..000000000000
--- a/sys-apps/coreutils/files/digest-coreutils-6.4
+++ /dev/null
@@ -1,6 +0,0 @@
-MD5 2b7ce2e4a4134cc86c09b249e84311d5 coreutils-6.4-patches-1.0.tar.bz2 47993
-RMD160 122882cf72088c7abaff96bff9220efddfc6b1d7 coreutils-6.4-patches-1.0.tar.bz2 47993
-SHA256 daf083f0d37a8988aadb6e2fe030481add139f1cb2f9cfc60b9b62241ff459bc coreutils-6.4-patches-1.0.tar.bz2 47993
-MD5 a3806c709c7f063b80612be846a9d88c coreutils-6.4.tar.bz2 5294210
-RMD160 5e3628115ea814cddcfc6630a77c9079bd8676e0 coreutils-6.4.tar.bz2 5294210
-SHA256 75a6b82bb7e3d07bec5b9bd0fcdfdfdfb88f32728e5089972001b50e4148b87b coreutils-6.4.tar.bz2 5294210
diff --git a/sys-apps/coreutils/files/digest-coreutils-6.7 b/sys-apps/coreutils/files/digest-coreutils-6.7
deleted file mode 100644
index bd0efe468b7b..000000000000
--- a/sys-apps/coreutils/files/digest-coreutils-6.7
+++ /dev/null
@@ -1,6 +0,0 @@
-MD5 4e491d77b463c13c8054150dcce84e6b coreutils-6.7-patches-1.0.tar.bz2 32171
-RMD160 431ee64bfb8ec89f460b199aa3a42994d51ad990 coreutils-6.7-patches-1.0.tar.bz2 32171
-SHA256 8e665c1008514dc50795aaa02e26710812337c6a1704da31242af9cef8d8004c coreutils-6.7-patches-1.0.tar.bz2 32171
-MD5 a16465d0856cd011a1acc1c21040b7f4 coreutils-6.7.tar.bz2 5315342
-RMD160 593acd266431db1777505bd181a7ffe095774beb coreutils-6.7.tar.bz2 5315342
-SHA256 4d7027cc803682decdadf850095dce7e22cc08eba2b1283e16d0fb7a675ac1f0 coreutils-6.7.tar.bz2 5315342
diff --git a/sys-apps/coreutils/files/digest-coreutils-6.7-r1 b/sys-apps/coreutils/files/digest-coreutils-6.7-r1
deleted file mode 100644
index e1bbfbe8a27f..000000000000
--- a/sys-apps/coreutils/files/digest-coreutils-6.7-r1
+++ /dev/null
@@ -1,6 +0,0 @@
-MD5 667b9e144014362302e4615751043f3e coreutils-6.7-patches-1.1.tar.bz2 32208
-RMD160 a1187df0f9a8b98bd25126b5e7582f447748c907 coreutils-6.7-patches-1.1.tar.bz2 32208
-SHA256 77f6aa56296386d5e3c9e2590c62778bc79a0c95a84951afec039191600d2379 coreutils-6.7-patches-1.1.tar.bz2 32208
-MD5 a16465d0856cd011a1acc1c21040b7f4 coreutils-6.7.tar.bz2 5315342
-RMD160 593acd266431db1777505bd181a7ffe095774beb coreutils-6.7.tar.bz2 5315342
-SHA256 4d7027cc803682decdadf850095dce7e22cc08eba2b1283e16d0fb7a675ac1f0 coreutils-6.7.tar.bz2 5315342
diff --git a/sys-apps/coreutils/files/digest-coreutils-6.9 b/sys-apps/coreutils/files/digest-coreutils-6.9
deleted file mode 100644
index 15d4466fd401..000000000000
--- a/sys-apps/coreutils/files/digest-coreutils-6.9
+++ /dev/null
@@ -1,6 +0,0 @@
-MD5 cf11573903d65bf29a7781a4b0474074 coreutils-6.9-patches-1.1.tar.bz2 47243
-RMD160 4b0b5e36a4ff5d50d9901b8493cc31e46902f0b9 coreutils-6.9-patches-1.1.tar.bz2 47243
-SHA256 c48c0fe2a218310a7bb1272075095f3d930da666232f0566fb3ca5cd46119fa3 coreutils-6.9-patches-1.1.tar.bz2 47243
-MD5 c9607d8495f16e98906e7ed2d9751a06 coreutils-6.9.tar.bz2 5384378
-RMD160 c6ae65204b2e9c234a1140f39a8be1ee5cdcaab7 coreutils-6.9.tar.bz2 5384378
-SHA256 89c2895ad157de50e53298b22d91db116ee4e1dd3fdf4019260254e2e31497b0 coreutils-6.9.tar.bz2 5384378